### Hierarchy

- ServiceDescription

## Index

### Constructors

- constructor

### Properties

- factory
- id
- scope
- type

## Constructors

### constructor

- new ServiceDescription(id: string, scope: Scope, type: any, factory: ServiceFactory): ServiceDescription

- - Defined in src/di/ServiceCollection.ts:13

  #### Parameters

  - ##### id: string

  - ##### scope: Scope

  - ##### type: any

  - ##### factory: ServiceFactory

  #### Returns ServiceDescription

## Properties

### factory

factory: ServiceFactory

- Defined in src/di/ServiceCollection.ts:19

### id

id: string

- Defined in src/di/ServiceCollection.ts:16

### scope

scope: Scope

- Defined in src/di/ServiceCollection.ts:17

### type

type: any

- Defined in src/di/ServiceCollection.ts:18

Generated using TypeDoc